# render.h File Reference

Template Header. More...

`#include "target_scanline.h"`
`#include "vector.h"`
`#include "color.h"`
`#include "renddesc.h"`
`#include "general.h"`
`#include "layer.h"`
`#include "canvas.h"`
`#include <ETL/handle>`

Go to the source code of this file.

## Namespaces

namespace | synfig

## Functions

bool | synfig::render (Context context, Target_Scanline::Handle target, const RendDesc &desc, ProgressCallback *)
| Renders starting at context to target.
bool | synfig::parametric_render (Context context, Surface &surface, const RendDesc &desc, ProgressCallback *callback)
bool | synfig::render_threaded (Context context, Target_Scanline::Handle target, const RendDesc &desc, ProgressCallback *callback, int threads)

## Detailed Description

Template Header.

$Id$